<!doctype html>
<html>
<head>
  <meta charset='utf-8' />
  <title>warehouse-application 0.0.0 | Documentation</title>
  <meta name='description' content='warehouse manager'>
  <meta name='viewport' content='width=device-width,initial-scale=1'>
  <link href='assets/bass.css' rel='stylesheet' />
  <link href='assets/style.css' rel='stylesheet' />
  <link href='assets/github.css' rel='stylesheet' />
  <link href='assets/split.css' rel='stylesheet' />
</head>
<body class='documentation m0'>
    <div class='flex'>
      <div id='split-left' class='overflow-auto fs0 height-viewport-100'>
        <div class='py1 px2'>
          <h3 class='mb0 no-anchor'>warehouse-application</h3>
          <div class='mb1'><code>0.0.0</code></div>
          <input
            placeholder='Filter'
            id='filter-input'
            class='col12 block input'
            type='text' />
          <div id='toc'>
            <ul class='list-reset h5 py1-ul'>
              
                
                <li><a
                  href='#lib_shmmathlib'
                  class="">
                  lib_shmMathLib
                  
                </a>
                
                </li>
              
                
                <li><a
                  href='#warehouseclass'
                  class=" toggle-sibling">
                  wareHouseClass
                  <span class='icon'>▸</span>
                </a>
                
                <div class='toggle-target display-none'>
                  
                  <ul class='list-reset py1-ul pl1'>
                    <li class='h5'><span>Static members</span></li>
                    
                      <li><a
                        href='#warehouseclassforkliftswitchedon'
                        class='regular pre-open'>
                        .forkliftSwitchedOn
                      </a></li>
                    
                      <li><a
                        href='#warehouseclassforkliftswitchedoff'
                        class='regular pre-open'>
                        .forkliftSwitchedOff
                      </a></li>
                    
                      <li><a
                        href='#warehouseclassstartmovingobject'
                        class='regular pre-open'>
                        .startMovingObject
                      </a></li>
                    
                      <li><a
                        href='#warehouseclass_logaction'
                        class='regular pre-open'>
                        ._logAction
                      </a></li>
                    
                    </ul>
                  
                  
                    <ul class='list-reset py1-ul pl1'>
                      <li class='h5'><span>Instance members</span></li>
                      
                      <li><a
                        href='#warehouseclassforkliftswork'
                        class='regular pre-open'>
                        #forkLiftsWork
                      </a></li>
                      
                      <li><a
                        href='#warehouseclasswarehousebycodes'
                        class='regular pre-open'>
                        #warehouseByCodes
                      </a></li>
                      
                      <li><a
                        href='#warehouseclasswarehousebycodeshistory'
                        class='regular pre-open'>
                        #warehouseByCodesHistory
                      </a></li>
                      
                      <li><a
                        href='#warehouseclassunkownmovementationsbyforklift'
                        class='regular pre-open'>
                        #unkownMovementationsByForkLift
                      </a></li>
                      
                      <li><a
                        href='#warehouseclassexternallogger'
                        class='regular pre-open'>
                        #externalLogger
                      </a></li>
                      
                      <li><a
                        href='#warehouseclassconf'
                        class='regular pre-open'>
                        #conf
                      </a></li>
                      
                      <li><a
                        href='#warehouseclass_readableitaliandatetimefromtimestamp'
                        class='regular pre-open'>
                        #_readableItalianDateTimeFromTimestamp
                      </a></li>
                      
                    </ul>
                  
                  
                  
                </div>
                
                </li>
              
                
                <li><a
                  href='#configurationobject'
                  class="">
                  configurationObject
                  
                </a>
                
                </li>
              
            </ul>
          </div>
          <div class='mt1 h6 quiet'>
            <a href='https://documentation.js.org/reading-documentation.html'>Need help reading this?</a>
          </div>
        </div>
      </div>
      <div id='split-right' class='relative overflow-auto height-viewport-100'>
        
          
          <section class='p2 mb2 clearfix bg-white minishadow'>

  
  <div class='clearfix'>
    
    <h3 class='fl m0' id='lib_shmmathlib'>
      lib_shmMathLib
    </h3>
    
    
  </div>
  

  <p>warehouse_module_class.js</p>

    <div class='pre p1 fill-light mt0'>lib_shmMathLib</div>
  
  

  
  <div>Version: 0.5.0</div>
  
  <div>Author: Andrea Ferroni &lt;andrea.ferroni.76@gmail.com&gt;</div>
  
  

  

  

  

  

  

  

  

  

  
</section>

          
        
          
          <section class='p2 mb2 clearfix bg-white minishadow'>

  
  <div class='clearfix'>
    
    <h3 class='fl m0' id='warehouseclass'>
      wareHouseClass
    </h3>
    
    
  </div>
  

  <p>Manage data for a warehouse</p>

    <div class='pre p1 fill-light mt0'>new wareHouseClass()</div>
  
  

  
  
  
  
  
  

  

  

  

  

  

  
    <div class='py1 quiet mt1 prose-big'>Static Members</div>
    <div class="clearfix">
  
    <div class='border-bottom' id='warehouseclassforkliftswitchedon'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>forkliftSwitchedOn(forkliftId)</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  <p>Assign status SWITCHED_ON to passed id forklift</p>

    <div class='pre p1 fill-light mt0'>forkliftSwitchedOn(forkliftId: <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a>): <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a></div>
  
  

  
  
  
  
  
  

  
    <div class='py1 quiet mt1 prose-big'>Parameters</div>
    <div class='prose'>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>forkliftId</span> <code class='quiet'>(<a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a>
            = <code>0</code>)</code>
	    forklift id number

          </div>
          
        </div>
      
    </div>
  

  

  
    
      <div class='py1 quiet mt1 prose-big'>Returns</div>
      <code><a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a></code>:
        true if successful, false if not

      
    
  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='warehouseclassforkliftswitchedoff'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>forkliftSwitchedOff(forkliftId)</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  <p>Assign status SWITCHED_OFF to passed id forklift</p>

    <div class='pre p1 fill-light mt0'>forkliftSwitchedOff(forkliftId: <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a>): <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a></div>
  
  

  
  
  
  
  
  

  
    <div class='py1 quiet mt1 prose-big'>Parameters</div>
    <div class='prose'>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>forkliftId</span> <code class='quiet'>(<a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a>
            = <code>0</code>)</code>
	    forklift identifier number

          </div>
          
        </div>
      
    </div>
  

  

  
    
      <div class='py1 quiet mt1 prose-big'>Returns</div>
      <code><a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a></code>:
        true if successful, false if not

      
    
  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='warehouseclassstartmovingobject'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>startMovingObject(forkliftId, position, barcode)</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  <p>Set an object as moving. Barcode can exist in the warehouse, not exist or even not be passed</p>

    <div class='pre p1 fill-light mt0'>startMovingObject(forkliftId: <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a>, position: <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object">object</a>, barcode: <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String">string</a>): any</div>
  
  

  
  
  
  
  
  

  
    <div class='py1 quiet mt1 prose-big'>Parameters</div>
    <div class='prose'>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>forkliftId</span> <code class='quiet'>(<a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a>
            = <code>0</code>)</code>
	    forklift identifier number

          </div>
          
        </div>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>position</span> <code class='quiet'>(<a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object">object</a>
            = <code>{x:0,y:0,z:0}</code>)</code>
	    object position in space (object must contain x, y and z numeric fields)

          </div>
          
        </div>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>barcode</span> <code class='quiet'>(<a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String">string</a>
            = <code>this.UNDEFINED</code>)</code>
	    barcode identifier

          </div>
          
        </div>
      
    </div>
  

  

  
    
      <div class='py1 quiet mt1 prose-big'>Returns</div>
      <code>any</code>:
        

      
    
  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='warehouseclass_logaction'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>_logAction(strings, text)</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  <p>Log to console or pass arguments to an external function <a href="#configurationObject">#configurationObject</a></p>

    <div class='pre p1 fill-light mt0'>_logAction(strings: ...any, text: ...<a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String">string</a>)</div>
  
  

  
  
  
  
  
  

  
    <div class='py1 quiet mt1 prose-big'>Parameters</div>
    <div class='prose'>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>strings</span> <code class='quiet'>(...any)</code>
	    
          </div>
          
        </div>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>text</span> <code class='quiet'>(...<a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String">string</a>)</code>
	    to log

          </div>
          
        </div>
      
    </div>
  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
</div>

  

  
    <div class='py1 quiet mt1 prose-big'>Instance Members</div>
    <div class="clearfix">
  
    <div class='border-bottom' id='warehouseclassforkliftswork'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>forkLiftsWork</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  <p>Current forklifts status</p>

    <div class='pre p1 fill-light mt0'>forkLiftsWork</div>
  
    <p>
      Type:
      <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Array">Array</a>&#x3C;<a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String">string</a>>
    </p>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='warehouseclasswarehousebycodes'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>warehouseByCodes</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  <p>warehouse database</p>

    <div class='pre p1 fill-light mt0'>warehouseByCodes</div>
  
    <p>
      Type:
      <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object">object</a>
    </p>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='warehouseclasswarehousebycodeshistory'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>warehouseByCodesHistory</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  <p>Warehouse objects history data
Is not populated if <a href="wareHouseClass#conf.warehouseByCodesHistoryInMemory">wareHouseClass#conf.warehouseByCodesHistoryInMemory</a> is set false</p>

    <div class='pre p1 fill-light mt0'>warehouseByCodesHistory</div>
  
    <p>
      Type:
      <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object">object</a>
    </p>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='warehouseclassunkownmovementationsbyforklift'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>unkownMovementationsByForkLift</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>unkownMovementationsByForkLift</div>
  
    <p>
      Type:
      <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Array">Array</a>&#x3C;<a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object">object</a>>
    </p>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='warehouseclassexternallogger'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>externalLogger</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  
    <div class='pre p1 fill-light mt0'>externalLogger</div>
  
    <p>
      Type:
      <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Statements/function">function</a>
    </p>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='warehouseclassconf'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>conf</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  <p>Class behaviour configuration</p>

    <div class='pre p1 fill-light mt0'>conf</div>
  
    <p>
      Type:
      <a href="#configurationobject">configurationObject</a>
    </p>
  
  

  
  
  
  
  
  

  

  

  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
    <div class='border-bottom' id='warehouseclass_readableitaliandatetimefromtimestamp'>
      <div class="clearfix small pointer toggle-sibling">
        <div class="py1 contain">
            <a class='icon pin-right py1 dark-link caret-right'>▸</a>
            <span class='code strong strong truncate'>_readableItalianDateTimeFromTimestamp(ts)</span>
        </div>
      </div>
      <div class="clearfix display-none toggle-target">
        <section class='p2 mb2 clearfix bg-white minishadow'>

  

  <p>Convert passed timestamp to ilalian formatted date and time</p>

    <div class='pre p1 fill-light mt0'>_readableItalianDateTimeFromTimestamp(ts: <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a>): <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></div>
  
  

  
  
  
  
  
  

  
    <div class='py1 quiet mt1 prose-big'>Parameters</div>
    <div class='prose'>
      
        <div class='space-bottom0'>
          <div>
            <span class='code bold'>ts</span> <code class='quiet'>(<a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number">number</a>)</code>
	    is a positive timestamp integer in Javascript stype (milliseconds)

          </div>
          
        </div>
      
    </div>
  

  

  
    
      <div class='py1 quiet mt1 prose-big'>Returns</div>
      <code><a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></code>:
        formatted date and time

      
    
  

  

  

  

  

  

  
</section>

      </div>
    </div>
  
</div>

  

  

  
</section>

          
        
          
          <section class='p2 mb2 clearfix bg-white minishadow'>

  
  <div class='clearfix'>
    
    <h3 class='fl m0' id='configurationobject'>
      configurationObject
    </h3>
    
    
  </div>
  

  <p>Class behaviuor configuration</p>

    <div class='pre p1 fill-light mt0'>configurationObject</div>
  
    <p>
      Type:
      <a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object">Object</a>
    </p>
  
  

  
  
  
  
  
  

  

  
    <div class='py1 quiet mt1 prose-big'>Properties</div>
    <div>
      
        <div class='space-bottom0'>
          <span class='code bold'>warehouseByCodesHistoryInMemory</span> <code class='quiet'>(<a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a>)</code>
          : Indicates whether to store objects history in memory or not

          
        </div>
      
        <div class='space-bottom0'>
          <span class='code bold'>enableConsoleLog</span> <code class='quiet'>(<a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean">boolean</a>)</code>
          : Indicates whether log to console or not (set false in production)

          
        </div>
      
        <div class='space-bottom0'>
          <span class='code bold'>dateTime</span> <code class='quiet'>(<a href="https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object">object</a>)</code>
          : date and time settings

          
        </div>
      
    </div>
  

  

  

  

  

  

  

  
</section>

          
        
      </div>
    </div>
  <script src='assets/anchor.js'></script>
  <script src='assets/split.js'></script>
  <script src='assets/site.js'></script>
</body>
</html>
